<h1 matDialogTitle>Ubah Password</h1>
<div mat-dialog-content>
    <div>
        <mat-form-field class="input-block">
            <input type='password' matInput [(ngModel)]="oldPassword" placeholder="Password Lama" name="oldPassword" id="oldPassword">
            <button mat-button *ngIf="oldPassword" matSuffix mat-icon-button aria-label="Clear" (click)="oldPassword=''">
                <mat-icon>close</mat-icon>
            </button>
        </mat-form-field>
    </div>
    <div>
        <mat-form-field class="input-block">
            <input type='password' matInput [(ngModel)]="newPassword" placeholder="Password Baru" name="newPassword" id="newPassword">
            <button mat-button *ngIf="newPassword" matSuffix mat-icon-button aria-label="Clear" (click)="newPassword=''">
                <mat-icon>close</mat-icon>
            </button>
        </mat-form-field>
    </div>
    <div>
        <mat-form-field class="input-block">
            <input type='password' matInput [(ngModel)]="confirmPassword" placeholder="Ulangi Password Baru" name="confirmPassword" id="confirmPassword">
            <button mat-button *ngIf="confirmPassword" matSuffix mat-icon-button aria-label="Clear" (click)="confirmPassword=''">
                <mat-icon>close</mat-icon>
            </button>
        </mat-form-field>
    </div>
    <div *ngIf="message" id="warning_message">
        {{ message }}
    </div>
</div>
<div mat-dialog-actions>
    <button mat-raised-button color="primary" (click)="tryChangePassword()">Ganti</button>
    <button mat-raised-button color="warn" (click)="dialogRef.close(false)">Batal</button>
</div>